IvyVar
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyVar

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyVar

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyVar

extends IvyTask

This task let user set ivy variables from ant.

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyVar()`

Method Summary
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.io.File` | `getFile()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getValue()`
`void` | `setFile(java.io.File aFile)`
`void` | `setName(java.lang.String aName)`
`void` | `setPrefix(java.lang.String aPrefix)`
`void` | `setUrl(java.lang.String aUrl)`
`void` | `setValue(java.lang.String aValue)`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyVar

    public IvyVar()

Method Detail

### getFile

    public java.io.File getFile()

### setFile

    public void setFile(java.io.File aFile)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String aName)

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String aPrefix)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String aUrl)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String aValue)

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD